Subject: Re: bug#42766: file names with spaces are quoted in the output from ls

From: Paul Eggert <[email-masked]>
Date: Sun, 9 Aug 2020 01:38:51 -0700

On 8/8/20 9:09 AM, David Thomas wrote:
> If most people think things are a bad idea, why do them?

I don't see any real evidence that most people think the change is a bad idea. 
Although there have been complaints, that doesn't mean most people are 
complaining, or that most people are unhappy about the change.

In practice I've found the new behavior to be significantly safer. I too often 
have to deal with files with shell metacharacters in their names (people send me 
all sorts of weird stuff). The old 'ls' behavior was quite dangerous in that 
respect.

> at first I was typing out the quotes to cd into them. Then I discovered it still worked to cd into them without typing the quotes

What file names were these, exactly? If 'ls' is overquoting, that's something we 
could fix without affecting safety.